Bug 24780 - xlock hangs
xlock hangs
Product: Red Hat Linux
Classification: Retired
Component: xlockmore (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Depends On:
  Show dependency treegraph
Reported: 2001-01-23 18:42 EST by ken_laird
Modified: 2008-05-01 11:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-03-27 17:23:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description ken_laird 2001-01-23 18:42:07 EST
I have Redhat Linux 7.0 installed on an HP Visualize Linux workstation
model XL866 with dual CPU's and 1 Gbyte of RAM.  It has a Matrox G400 dual
port AGP display adapter and two monitors.  I am running XFree86 4.0.1,
WindowMaker, and KDE.

The problem I have observed and can repeat on this box is that when xlock
is invoked via the 
WindoMaker root menu, it will run for a while and eventually hang while
displaying something that looks like a mal-formed cube.  It then requires
someone to rlogin as root and kill xlock to free the session for the user.

I have run xlock manually and stepped through its whole list of themes but
have not been able to find one that looks like what is displayed when it

I have tried to duplicate this problem on another Visualize workstation,
this one is a PL600 with a single CPU and 256 Mbytes RAM.  On the PL600,
xlock runs for a while then just quits.
Comment 1 Bill Nottingham 2001-01-23 23:28:01 EST
DRI is hanging, almost certainly.
Comment 2 Harald Hoyer 2001-01-24 06:14:44 EST
Does any GL program function properly? Maybe you should turn off
         Load  "GLcore"     
in /etc/X11/XF86Config-4 if it doesn't.
You may test GL functionality with /usr/X11R6/lib/xscreensaver/atlantis
contained in the xscreensaver package.
Comment 3 ken_laird 2001-01-24 12:39:14 EST
OK.  We ran atlantis for over an hour on the box where xlock hangs.  It seemed
to run fine.

Comment 4 Mike A. Harris 2001-01-28 10:57:08 EST
Try running xscreensaver manually from the commandline or
xscreensaver-demo and go through each one one at a time to try and
track down the offending screensaver.
Comment 5 ken_laird 2001-01-29 17:09:11 EST
The problem is with xlock, not xscreensaver.   xlock does not appear to invoke
As I mentioned earlier, I have already run xlock manually going through each of
the themes listed in the man page.  I did not find one that appeared to be the
same as what is on the screen when it locks.
Is there someone at Redhat who is familiar enough with xlock to suggest where it
could be modified easily to log as it switches themes?  I could do it myself,
but I would rather not take the time to reverse engineer it if someone is
already familiar with the code.
Comment 6 Mike A. Harris 2001-02-08 14:33:40 EST
Try commenting out "GLcore" and "dri" in your config.  Does this help?
Comment 7 ken_laird 2001-02-08 15:41:58 EST
Commenting out GLcore and dri results in xlock running for a few minutes and
then dying .  It doesn't appear to leave a core file.
Comment 8 Mike A. Harris 2001-03-27 03:24:40 EST
Hmm.  I'm not familiar with xlock right now myself, however it is likely
best to have the proper package maintainer look into it even though it is
very likely an XFree86 bug.  I'm going to reassign to see if we can
track it down.
Comment 9 Mike A. Harris 2001-03-27 03:28:01 EST
To the original submitter - can you try out the latest XFree86 packages from
rawhide, as well as the latest xlockmore and xscreensaver packages and
see if the problem goes away.  Not much sense in us taking too much time on
this one if by chance the problem you're experiencing is fixed now.
Comment 10 ken_laird 2001-03-27 09:45:22 EST
I am, even as we speak, working on packaging XFree86 4.0.3 for installation on
all of our Linux boxes.  I will run xlock and see if it hangs up still.
Comment 11 Harald Hoyer 2001-03-27 09:54:15 EST
I think you mean this mode:
xlock -mode morph3d -inwindow -nolock   
Comment 12 ken_laird 2001-03-27 17:23:35 EST
I have now run xlock without arguments, which, I'm pretty sure is how
WindowMaker runs it when you select the lock menu function.  I have also run it
in windowed mode as you specified.  With XFree86 4.0.3, it no longer hangs.  It
was pretty reproduceable before,  so I think it is safe to say that the problem
is fixed.
Comment 13 Mike A. Harris 2001-03-27 21:31:43 EST
Beauty, I'm closing it as fixed in rawhide.

Note You need to log in before you can comment on or make changes to this bug.